org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectLock

All Superinterfaces:
  SelectBuilder.BuildSelect

All Known Subinterfaces:
  SelectBuilder.SelectFromAndJoin, SelectBuilder.SelectFromAndJoinCondition, SelectBuilder.SelectFromAndOrderBy, SelectBuilder.SelectJoin, SelectBuilder.SelectOnCondition, SelectBuilder.SelectOrdered, SelectBuilder.SelectWhere, SelectBuilder.SelectWhereAndOr

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectLock
    extends SelectBuilder.BuildSelect

Lock methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectLock` `lock(LockMode lockMode)` Apply lock to read.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.BuildSelect

`build`

### Method Detail

#### lock

    SelectBuilder.SelectLock lock(LockMode lockMode)

Apply lock to read.

Parameters:
  `lockMode` - lockMode to read.
Returns:
  `this` builder.